Bug 1908583 - bootstrap does not run on additional networks if configured for master in install-config [NEEDINFO]
Summary: bootstrap does not run on additional networks if configured for master in ins...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: egarcia
QA Contact: weiwei jiang
URL:
Whiteboard:
Depends On:
Blocks: 1915050
TreeView+ depends on / blocked
 
Reported: 2020-12-17 05:17 UTC by Jatan Malde
Modified: 2021-02-24 15:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:45:40 UTC
Target Upstream Version:
jmalde: needinfo? (eduen)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4528 0 None closed Bug 1908583: Set same additional networks on Bootstrap as Control Plane 2021-02-16 09:00:28 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:46:15 UTC

Description Jatan Malde 2020-12-17 05:17:07 UTC
What happened?

IHAC who is attempting to deploy OCP 4.6.1 on Openstack 16 platform using OVNKubernetes Network type.
Inside install-config.ymal they have set also additionalNetworkIDs (ID was used according to their internal network), but deploy finished with error.
It created master nodes only and bootstrap node still remain, so the bootstrap process never finished.

Checking further on the issue we could see the master nodes were not able to register to the api, 

~~~
Nov 03 22:04:39 osl02-xxxx-master-2 hyperkube[3054]: I1103 22:04:39.076485    3054 event.go:291] "Event occurred" object="osl02-xxxx-master-2" kind="Node" apiVersion="" type="Normal" reason="NodeHasSufficientP
ID" message="Node osl02-xxxx-master-2 status is now: NodeHasSufficientPID"
Nov 03 22:04:39 osl02-zpkmf-master-2 hyperkube[3054]: E1103 22:04:39.079795    3054 kubelet_node_status.go:92] Unable to register node "osl02-xxxx-master-2" with API server: Post "https://api-int.xx.xxxxxxxx.xxx:6443/api/v1/nodes": dial tcp: lookup api-int.xxxx.xxxxx.xxx on 10.xx.xx.xx:53: no such host
~~~

Will attach install-config.yaml and log-bundle.log file as well. 

Also look for more details in comment #1

Version:

$ openshift-install version

OCP 4.6.1 on Openstack 16 platform using OVNKubernetes Network type(installer is of 4.6.1 as well)

Platform:

OpenShift on Openstack 16 IPI install.

What did you expect to happen?

If the additional Network section is configured, the bootstrap should also run on that network, 

How to reproduce it (as minimally and precisely as possible)?

$ your-commands-here

Anything else we need to know?

#Enter text here.

Comment 6 egarcia 2021-01-07 20:34:10 UTC
It seems that we don't add the additional networks for master nodes to the bootstrap node during its creation. Logically, the bootstrap and master nodes should have the same networking configuration, so we will treat this as a bug and add it to 4.7, then backport it into the latest 4.6 z stream. Thanks!

Comment 8 weiwei jiang 2021-01-13 08:23:49 UTC
Checked with 4.7.0-0.nightly-2021-01-13-054018 and bootstrap now use same network context with masters.

./openshift-install 4.7.0-0.nightly-2021-01-13-054018
built from commit b3dae7f4736bcd1dbf5a1e0ddafa826ee1738d81
release image registry.ci.openshift.org/ocp/release@sha256:5d1f8e994b07b0fbd8cfa57f970a90e7b7df8bc365d82122522e994c07405c63


# openstack server list --name wj47ios113z
+--------------------------------------+-----------------------------+--------+-------------------------------------------------------------+----------------------------+-----------+
| ID                                   | Name                        | Status | Networks                                                    | Image                      | Flavor    |
+--------------------------------------+-----------------------------+--------+-------------------------------------------------------------+----------------------------+-----------+
| 3b7a2c3b-93f1-4e34-a62e-429544023405 | wj47ios113z-p6rjh-master-2  | ACTIVE | manila_net=172.16.35.46; ocp4-shared-network=192.168.3.198  | rhcos-47.83.202012030221-0 | m1.xlarge |
| 2972b8d6-4c0e-4cab-9459-68d0c728efa7 | wj47ios113z-p6rjh-master-1  | ACTIVE | manila_net=172.16.36.208; ocp4-shared-network=192.168.4.57  | rhcos-47.83.202012030221-0 | m1.xlarge |
| bf0b6d8d-d740-4e1b-b7cd-e2d8b27d9626 | wj47ios113z-p6rjh-bootstrap | ACTIVE | manila_net=172.16.36.167; ocp4-shared-network=192.168.2.13  | rhcos-47.83.202012030221-0 | m1.xlarge |
| 8c593399-1379-417b-9070-307e5807e235 | wj47ios113z-p6rjh-master-0  | ACTIVE | manila_net=172.16.35.126; ocp4-shared-network=192.168.1.211 | rhcos-47.83.202012030221-0 | m1.xlarge |
+--------------------------------------+-----------------------------+--------+-------------------------------------------------------------+----------------------------+-----------+

Comment 11 errata-xmlrpc 2021-02-24 15:45:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.